"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const tempy_1 = __importDefault(require("tempy"));
const fs_1 = __importDefault(require("fs"));
const launchTerminal_1 = __importDefault(require("./launchTerminal"));
function commandWindows(script, options) {
    const launchFilePath = path_1.default.join(tempy_1.default.directory(), "launchTerminal.bat");
    const environmentParams = [];
    const { env } = options;
    if (env) {
        for (const paramKey in env) {
            environmentParams.push(`set ${paramKey}=${env[paramKey]}`);
        }
    }
    const batFile = `
@echo off
${environmentParams.join("\n")}
start cmd.exe @cmd /k ${script}
pause
exit`;
    fs_1.default.writeFileSync(launchFilePath, batFile);
    fs_1.default.chmodSync(launchFilePath, 0o751);
    launchTerminal_1.default(launchFilePath, options);
}
function commandUnix(script, options) {
    const launchFilePath = path_1.default.join(tempy_1.default.directory(), "launchTerminal");
    const environmentParams = [];
    const { env } = options;
    if (env) {
        for (const paramKey in env) {
            environmentParams.push(`${paramKey}=${env[paramKey]} `);
        }
    }
    const moveToDirCommand = `cd ${process.cwd()};`;
    const scriptWithMovePrefix = moveToDirCommand + environmentParams.join("") + script;
    fs_1.default.writeFileSync(launchFilePath, scriptWithMovePrefix);
    // add execute permissions (-rwxr-xr-x)
    fs_1.default.chmodSync(launchFilePath, 0o751);
    launchTerminal_1.default(launchFilePath, options);
}
function command(script, options) {
    const isWindows = /^win/.test(process.platform);
    if (!isWindows) {
        commandUnix(script, options);
    }
    else {
        commandWindows(script, options);
    }
}
exports.default = command;
//# sourceMappingURL=command.js.map