"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const command_1 = __importDefault(require("./command"));
const utils_1 = require("./utils");
function file(filePath, options) {
    const absolutePath = path_1.default.join(process.cwd(), filePath);
    const extention = path_1.default.extname(absolutePath);
    switch (extention) {
        case "":
        case ".sh":
            command_1.default(`sh ${absolutePath}`, options);
            break;
        case ".js":
            command_1.default(`node ${absolutePath}`, options);
            break;
        default:
            throw new utils_1.ErrorMessage(`extension ${extention} of file ${absolutePath} is not supported`);
    }
}
exports.default = file;
//# sourceMappingURL=file.js.map